Subject: Re: bug#16621: 24.3.50; Periodic timer + overlays = flickering near point

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Feb 2014 17:59:54 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: "Jan D." <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 05 Feb 2014 08:46:17 -0500
> 
> >> So, if there is a way to avoid cursor redraws, go for it.
> > Can you tell when does the cursor need to be redrawn on X?
> 
> The problem in the current case is that the window hasn't had any
> modification at all, so we shouldn't even try to redraw any part of it.

The window is indeed not redrawn, only its cursor is.

We currently lack infrastructure that would allow us to notice that
the screen line where the cursor is displayed did not change.  So we
cannot decide not to redraw the cursor.

> Methinks there's a bit of code somewhere which maybe sets the `redisplay'
> bit unnecessarily.

I thought I explained a few messages back what "flag" is that: the
moment we redisplay the echo area, we are forced to call update_frame,
for the selected frame, which will redraw the cursors of that frame's
windows (and also its fringes, btw).